Ƙofofi biyu da aka saita da maɓalli ɗaya da aka raba tun farko suna kammala musafaha, kuma rikodin fakiti bai nuna wani sirri da ke ƙetare waya ba. Wannan shi ne ɓangaren da mutane ke tunawa. Abin sha'awa shi ne abin da kowane nau'i ke lissafta da gaske don tabbatar da an san sirrin, domin IKEv1 da IKEv2 suna gina wannan hujja daga bayanai daban-daban kuma suna bayyana bayanai daban-daban yayin yin haka. Karanta waƙoƙin biyu tare kuma bambancin ya daina zama na ado.

Abin da hujja dole ta cimma

Diffie-Hellman yana ba ɓangarorin biyu ƙimar da aka raba wadda duk wanda ke kallo zai iya lissafta rabinta na fili. Ita kaɗai ba ta tabbatar da komai game da asali ba: mai hari da ya kammala musayar maɓalli yana da ƙimar da aka raba ɗaya da ƙofarka. Matakin tabbatarwa yana nan don haɗa wannan musayar da sirrin da kawai ƙungiyoyin da aka yi nufi suke da shi, da kuma asalin da sigogin da suka amince da su.

Wannan haɗin shi ne dalilin da ya sa hash ya ƙunshi fiye da maɓalli. Idan ya ƙunshi sirrin kawai, mai hari zai iya sake kunna shi a wata musayar da asali ko shawarwari daban.

IKEv1 Main Mode: samo SKEYID, sannan tabbatar da shi

Main Mode yana gudanar da saƙonni shida. Biyun farko suna tattaunawa kan haɗin tsaro, na biyu suna musayar ƙimomin fili na Diffie-Hellman da nonce, na uku kuma yana ɗauke da asali da hash ɗin tabbatarwa ƙarƙashin ɓoyewar da aka kafa yanzu. RFC 2409 ya bayyana ginin: da tabbatarwa ta maɓallin da aka raba tun farko, ana samun SKEYID daga sirrin da nonce ɗin biyu, sannan kayan maɓalli na gaba daga SKEYID, ƙimar da aka raba ta Diffie-Hellman, kukis da tsayayyun lambobi.

Ana lissafta hash ɗin a saƙo na biyar da na shida bisa ƙimar Diffie-Hellman, kukis biyu, shawara da asalin mai aikawa, da SKEYID a matsayin maɓalli. Mai karɓa yana sake lissafta shi da sirrinsa da aka saita. Rashin daidaituwa yana kawo ƙarshen musayar, kuma sirrin kansa ba ya zama kaya.

Aggressive Mode yana matse wannan aikin cikin saƙonni uku, wanda ke nufin asali da hash ɗin tabbatarwa suna tafiya kafin tashar ɓoyayyiya ta kasance. Wannan haƙiƙa bayyanar ce ga sirri mai iya tsammani, kuma ya bambanta da tambayar ko an aika sirrin. IKEv1 ya tsufa ta RFC 9395, don haka tsohon waƙa aikin bincike ne ba makasudin turawa ba.

IKEv2: wata ƙididdigewa dabam da wani kayan AUTH dabam

IKEv2 ba ya sake amfani da jadawalin maɓalli na IKEv1. Maɓallan IKE na farko suna zuwa daga iri da aka gina daga nonce ɗin da ƙimar da aka raba ta Diffie-Hellman, kuma haɗin tsaro na yara suna samuwa daga nan. Maɓallin da aka raba tun farko ba ya ciyar da iri kwata-kwata.

Sannan tabbatarwa ta bayyana a matsayin kayan AUTH. Don tabbatarwa da maɓallin da aka raba, RFC 7296 ya ƙayyade wani siffa na sirrin da aka cika, wanda ake samu ta hanyar yin hash ɗin sirrin da tsayayyen zaren Key Pad for IKEv2, sannan yin hash ɗin bayanan musayar da aka sa hannu da asalin da wannan maɓallin da aka cika. Mai tabbatarwa zai iya sake gina wannan ƙimar; mai kallo ba zai iya ba, ba tare da sirrin ba.

Ka lura da abin da ya canza. A IKEv1 an gasa sirrin cikin jadawalin maɓalli kafin hash ɗin tabbatarwa ya wanzu; a IKEv2 jadawalin maɓalli ya bambanta da sirrin kuma hujjar kaya ce dabam da aka ɗaure da oktetin da aka sa hannu. Irin wannan tabbacin ra'ayi, wata na'ura, kuma shi ne dalilin da ya sa sunayen sigogi da rikodi ba sa daidaita ɗaya zuwa ɗaya.

Abin da mai kallo yake koya a gaske

Ƙimomin fili na Diffie-Hellman, shawarwari, nonce da kukis suna bayyana a duka nau'ikan biyu. Asali yana bayyana a IKEv1 Aggressive Mode kuma ana kariya a sauran lokuta. Sirrin ba ya bayyana ko kaɗan.

Wannan jumlar ta ƙarshe tana da iyaka da ya kamata a faɗa. Sirri mai rauni da mutum ya zaɓa ana iya kai hari ta hanyar tsammani: mai hari yana lissafta abin da ƙimar tabbatarwa za ta kasance ga wani sirri da ake tsammani sannan ya kwatanta. IKEv1 Aggressive Mode shi ne mafi arha don haka domin hujjar a bayyane take, kuma ƙa'idoji suna gargaɗi game da sirri masu ƙarancin entropy gabaɗaya. Rashin aika sirrin ko kaɗan ba ɗaya yake da sa sirri mara kyau ya zama lafiya ba.

Me za a yi da wannan kwatancen

Yi amfani da sirri ɗaya na musamman ga kowane biyu na abokan hulɗa, samar da shi daga tushen bazuwar, kuma juya shi ta hanyar samar da kayan aiki ɗaya da ya rarraba shi. Idan sirrin yana cikin samfurin saiti da ake aikawa zuwa kowane reshe, lalacewa a wuri ɗaya lalacewa ce a ko'ina.

Fi son tabbatarwa ta takardar shaida inda kuɗin aiki ya dace, domin yana kawar da matsalar tsammanin sirrin da aka raba kuma yana ba kowane abokin hulɗa asali dabam. Inda maɓallin da aka raba tun farko ya rage, sa shi dogo, danne iyakarsa, kuma ɗauki nau'in IKE a matsayin shawarar tsaro ba dalla-dalla na haɗin kai ba.

Labarai masu alaƙa